Last Comment Bug 550084 - Update getpersonas.com to latest production revision (r63691) on 3/4
: Update getpersonas.com to latest production revision (r63691) on 3/4
Status: VERIFIED FIXED
03/04/2010 @ 7pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Shyam Mani [:fox2mike]
: matthew zeier [:mrz]
Mentors:
Depends on: 549036
Blocks: 549785
  Show dependency treegraph
 
Reported: 2010-03-03 17:36 PST by Ryan Doherty (:rdoherty)
Modified: 2013-10-09 10:29 PDT (History)
3 users (show)
smani: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Ryan Doherty (:rdoherty) 2010-03-03 17:36:58 PST
Got a small update to getpersonas.com that should go out on 3/4. 

r63690

Buglist: http://tinyurl.com/yhmfaxs

No significant changes, apache restart necessary to pickup new localization.
Comment 1 Ryan Doherty (:rdoherty) 2010-03-03 17:44:43 PST
r63691, forgot to run the build script.
Comment 2 Shyam Mani [:fox2mike] 2010-03-03 21:00:54 PST
Probably needs no downtime, but marking nevertheless so we don't miss.
Comment 3 Shyam Mani [:fox2mike] 2010-03-04 19:01:37 PST
[root@mradm02 getpersonas.com]# svn up
D    server/privacy.php
U    server/faq.php
U    server/templates/footer.php
U    server/templates/header.php
U    server/templates/persona_detail.php
U    server/locale/ku/LC_MESSAGES/messages.po
U    server/locale/uk/LC_MESSAGES/messages.po
U    server/locale/sq/LC_MESSAGES/messages.mo
U    server/locale/sq/LC_MESSAGES/messages.po
U    server/locale/da/LC_MESSAGES/messages.po
U    server/locale/sr/LC_MESSAGES/messages.po
U    server/locale/fa/LC_MESSAGES/messages.po
U    server/locale/de/LC_MESSAGES/messages.po
U    server/locale/sv/LC_MESSAGES/messages.po
U    server/locale/ja/LC_MESSAGES/messages.mo
U    server/locale/ja/LC_MESSAGES/messages.po
 U   server/locale/ja
U    server/locale/he/LC_MESSAGES/messages.po
U    server/locale/fi/LC_MESSAGES/messages.po
U    server/locale/pt_BR/LC_MESSAGES/messages.po
U    server/locale/fr/LC_MESSAGES/messages.po
U    server/locale/nl/LC_MESSAGES/messages.po
U    server/locale/en_GB/LC_MESSAGES/messages.po
U    server/locale/th/LC_MESSAGES/messages.po
U    server/locale/pl/LC_MESSAGES/messages.po
U    server/locale/hu/LC_MESSAGES/messages.po
U    server/locale/vi/LC_MESSAGES/messages.po
U    server/locale/fy/LC_MESSAGES/messages.po
U    server/locale/lt/LC_MESSAGES/messages.po
U    server/locale/ro/LC_MESSAGES/messages.po
U    server/locale/pt/LC_MESSAGES/messages.po
U    server/locale/ca/LC_MESSAGES/messages.mo
U    server/locale/ca/LC_MESSAGES/messages.po
U    server/locale/tr/LC_MESSAGES/messages.po
U    server/locale/ru/LC_MESSAGES/messages.po
U    server/locale/af/LC_MESSAGES/messages.po
U    server/locale/ga/LC_MESSAGES/messages.po
U    server/locale/ka/LC_MESSAGES/messages.po
U    server/locale/zh_TW/LC_MESSAGES/messages.po
U    server/locale/id/LC_MESSAGES/messages.po
U    server/locale/el/LC_MESSAGES/messages.po
U    server/locale/zh_CN/LC_MESSAGES/messages.po
U    server/locale/gl/LC_MESSAGES/messages.po
U    server/locale/ar/LC_MESSAGES/messages.po
U    server/locale/cs/LC_MESSAGES/messages.mo
U    server/locale/cs/LC_MESSAGES/messages.po
U    server/locale/es/LC_MESSAGES/messages.mo
U    server/locale/es/LC_MESSAGES/messages.po
U    server/locale/ml/LC_MESSAGES/messages.po
U    server/locale/ko/LC_MESSAGES/messages.po
U    server/locale/en_US/LC_MESSAGES/messages.po
U    server/locale/eu/LC_MESSAGES/messages.po
U    server/locale/mn/LC_MESSAGES/messages.po
U    server/locale/is/LC_MESSAGES/messages.po
U    server/locale/it/LC_MESSAGES/messages.po
U    server/locale/sk/LC_MESSAGES/messages.po
U    server/locale/sl/LC_MESSAGES/messages.po
 U   server/locale
 U   server/lib/user.php
 U   server/lib/personas_functions.php
 U   server/lib/storage.php
U    server/revisions.php
U    server/signin.php
U    static/css/style.css
U    static/img/favicon.png
 U   static/js/script.js
U    compile.php
 U   .
Updated to revision 63754.

All done.
Comment 4 Shyam Mani [:fox2mike] 2010-03-04 19:02:33 PST
Sorry, mail said 7pm and I see the whiteboard says 8, grabbed it based on mail :)
Comment 5 Stephen Donner [:stephend] - PTO; back on 5/28 2010-03-04 22:42:54 PST
Ryan, the stuff I checked looks good on prod, with the exception of bug 538473; mind double-checking that?  It still returns the value of "total" in quotes.
Comment 6 Ryan Doherty (:rdoherty) 2010-03-04 22:55:17 PST
(In reply to comment #5)
> Ryan, the stuff I checked looks good on prod, with the exception of bug 538473;
> mind double-checking that?  It still returns the value of "total" in quotes.

Hmm, good point. That is supposed to be generated every hour.

Shyam, can you take a look? 

http://www.getpersonas.com/static/index_1.json 

Is generated by compile.php hourly (or should be). The 'total' value in the json should not be in quotes, like stage:

http://personas.stage.mozilla.com/static/index_1.json
Comment 7 Shyam Mani [:fox2mike] 2010-03-04 23:01:32 PST
Ryan,

Wasn't there another bug open about this not working because of database issues?
Comment 8 Shyam Mani [:fox2mike] 2010-03-04 23:02:48 PST
Nothing to do with this push, once the cron bug is fixed, this should be fine?
Comment 9 Ryan Doherty (:rdoherty) 2010-03-04 23:05:29 PST
(In reply to comment #7)
> Ryan,
> 
> Wasn't there another bug open about this not working because of database
> issues?

Oh yeah, sorry. So yes, once the cron bug is fixed this should be fine.
Comment 10 Shyam Mani [:fox2mike] 2010-03-04 23:06:06 PST
Calling this closed then.
Comment 11 Stephen Donner [:stephend] - PTO; back on 5/28 2010-03-04 23:24:12 PST
(In reply to comment #10)
> Calling this closed then.

Thanks guys; verified FIXED.

Note You need to log in before you can comment on or make changes to this bug.